Jump to content
kontini

.NET Frameworks + Language Packs

Recommended Posts

Ciao Kontini, volevo chiederti una cosa, ho visto che hai preso in considerazione le versioni di Netframework 1.1, 2.0 e 3.5, ma la 3.0 non la si deve installare?

Share this post


Link to post
Share on other sites

A fare quello che dici, l'addon non funziona più...

Controlla meglio, nel pannello di controllo ti da come presenti il 2.0, il 3.0 e il 3.5 (aggiornati ai rispettivi sp, ovviamente), oltre all'1.1, che è un prodotto a se stante. Infatti, sebbene sia identificato come .NET 3.5, l'intero pacchetto installa sia la versione 2 che la 3, entrambre precedenti, ma che sono necessarie per avere tutte le funzionalità (si possono paragonare le versioni successive come delle espansioni). Anche il singolo pacchetto ufficiale MS di circa 300 MB ha questo comportamento, perfettamente normale.

Edited by mf3imp

Share this post


Link to post
Share on other sites

ciao kontini! io uso una copia di windows sulla quale ho integrato il tuo pacchetto .net framework all in one. andando su installazione applicazioni mi dà come installati i framework 1.1, 2.0 e 3.5. tuttavia il 2.0 è superfluo, in quanto la tecnologia del 2.0 è già contenuta nel 3.5 quindi ti suggerirei di togliere il 2.0 dal pacchetto e far rimanere solo 1.1 e 3.5.

ciao!

Ciao VegetaSSJ5, Il cuore dei dotnet e il servizio CLR, cosi il cuore dei dotnet rimane ancora il dotent2 (con il servizio CLR v2...., che usa il famoso %SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe), dotnet 3.0 e il dotnet 3.5 sono solo librerie aggiuntive al dotnet 2 come dire (detto questo perché sono completamente inutile in caso che non usano il servizio CLR che e solo parte del dotent2), si spera che con la uscita del dotnet4 (già in Beta ormai) che uscirà con un nuovo servizio CLR v4... che si parla che e stato migliorato abbastanza riguardo v2..., si spera che microsoft rimetta un po a posto la cose, la storia dei dotent e un vero e proprio casino per tutti, sembra che anche microsoft steso a già perso il conto li, ma forse con il nuovo servizio CLR v4... (che sarà parte del dotnet4) metterà a posto molte cose visto che si parla che il servizio CLR v4... (il nuovo ngen.exe v4....) sarà già in grado di registrare le librerie di dotent 2 dotnet3 dotent35 ect ect, cosi si spera che il ngen.exe del dotnet2 non servire più in futuro, anche se in fine li e ancora un grande casino, se facciamo i conti cosi sembra che anche con la uscita del dotent 4 ancora microsoft non riesce chiudere tutto questo grande casino dei release dei dotnet, perché se entra in lavoro il ngen.exe del dotent4 non so come microsoft risolverà il problema dei tutti applicazioni che per installarsi cercano sempre %SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe v2.... del dotnet2 hmmmmmm (quando invece il nuovo nge.exe sara in %SystemRoot%\Microsoft.NET\Framework\v4.0.xxxxx\ngen.exe), un casino diciamo, ma loro sono Microsoft ehhhh, cosi se vogliono potranno fare e risolvere tutto.

Ciao.

Edited by OnePiece

Share this post


Link to post
Share on other sites

grazie per la risposta onepiece cmq ero già al corrente della storia...

per quanto riguarda la risposta di mf3imp, tu dici che il 3.5 installa anche il 2. appunto per questo motivo non serve installare prima il 2 e poi il 3.5, ma direttamente il 3.5. o già adesso il pack fa in questo modo?

Edited by VegetaSSJ5

Share this post


Link to post
Share on other sites
per quanto riguarda la risposta di mf3imp, tu dici che il 3.5 installa anche il 2. appunto per questo motivo non serve installare prima il 2 e poi il 3.5, ma direttamente il 3.5. o gi

Share this post


Link to post
Share on other sites

guarda mi sa che stiamo dicendo la stessa cosa ma in due modi diversi... :-)

dunque. hai detto che l'installer del 3.5 installa anche il 2 e il 3. quindi, a cosa serve integrare nel pack anche l'installer del 2 e del 3 quando li installa in automatico il 3.5?

Perch

Share this post


Link to post
Share on other sites

ciao kontini, volevo comunicare che ho problemi con l'installazione della patch KB976569 tramite microsoft update.

ho dovuto disinstallare il net framework 3.5, 3.0 e 2.0 e procedere alla reinstallazione. dopo aver reinstallato il tutto la patch si installa correttamente.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...